This project provides tools to find combinatorial hex-meshes with a prescribed
boundary.

Compilation
===========

This program requires a modern C compiler with support for C11 features such as
atomic variables, as well as OpenMP for parallelization. It can be built using
cmake:

    mkdir build
    cd build
    cmake ..
    make

Usage
=====

Given a mesh of the boundary (see the input directory for example input files),
its hex meshes can be enumerated using the `topological-hex` command. For
example, the command

    ./topological-hex input/single-hex.mesh 16 14
    
computes all hexahedral meshes of the cube with up to 16 hexahedra and 14
interior vertices.

The program can also be used to reduce the number of hexahedra in a mesh:

    ./remesh schneiders_88.mesh

License
=======

Information regarding the license of this software can be found in the LICENSE
file.
