/*
 * topological-hex, a program to compute combinatorial hexahedral meshes.
 *
 * Copyright (C) <2018> <Université catholique de Louvain (UCL), Belgique>
 *
 * List of the contributors to the development, description and complete
 * License: see LICENSE file.
 *
 * This program (topological-hex) is free software:
 * you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see COPYING file).  If not,
 * see <http://www.gnu.org/licenses/>.
 */


#ifndef DFS2D_H_
#define DFS2D_H_

#include "solver2d.h"

/**
 * @addtogroup solver2d
 * @{
 */

/**
 * Searches for quadrangular mesh by exploring the entire search tree using a
 * depth-first search.
 *
 * @param cb Function called when a solution is found
 * @param user_data Pointer to arbitrary data. This value is passed to the
 *   callback whenever it is called.
 */
void solver2d_run(solver2d *solver, solver2d_callback cb, void *user_data);

/**
 * @}
 */

#endif
